| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Volume::ChunkTreeSharedData Struct Reference
Optional Components » Volume

Internal shared values of the chunks which are equal in the whole tree. More...

`#include <OgreVolumeChunk.h>`

## Public Member Functions
| ChunkTreeSharedData (const ChunkParameters *params)
| Constructor. More...
| ~ChunkTreeSharedData (void)
| Destructor. More...

## Public Attributes
int | chunksBeingProcessed
| The amount of chunks being processed (== loading). More...
bool | dualGridVisible
| Flag whether the dualgrid is visible or not. More...
bool | octreeVisible
| Flag whether the octree is visible or not. More...
ChunkParameters * | parameters
| The parameters with which the chunktree got loaded. More...
bool | volumeVisible
| Another visibility flag to be user setable. More...

## Detailed Description

Internal shared values of the chunks which are equal in the whole tree.

## Constructor & Destructor Documentation

## ◆ ChunkTreeSharedData()

Ogre::Volume::ChunkTreeSharedData::ChunkTreeSharedData | ( | const ChunkParameters * | params | ) |
| inline

Constructor.

## ◆ ~ChunkTreeSharedData()

Ogre::Volume::ChunkTreeSharedData::~ChunkTreeSharedData | ( | void |  | ) |
| inline

Destructor.

References parameters.

## Member Data Documentation

## ◆ octreeVisible

bool Ogre::Volume::ChunkTreeSharedData::octreeVisible

Flag whether the octree is visible or not.

## ◆ dualGridVisible

bool Ogre::Volume::ChunkTreeSharedData::dualGridVisible

Flag whether the dualgrid is visible or not.

## ◆ volumeVisible

bool Ogre::Volume::ChunkTreeSharedData::volumeVisible

Another visibility flag to be user setable.

## ◆ chunksBeingProcessed

int Ogre::Volume::ChunkTreeSharedData::chunksBeingProcessed

The amount of chunks being processed (== loading).

## ◆ parameters

ChunkParameters* Ogre::Volume::ChunkTreeSharedData::parameters

The parameters with which the chunktree got loaded.

Referenced by ~ChunkTreeSharedData().

The documentation for this struct was generated from the following file:

- OgreVolumeChunk.h